PhotoOverlay (KML Framework API)
Keywords: org.boehn.kmlframework.kml.PhotoOverlay class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class PhotoOverlay

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature
              org.boehn.kmlframework.kml.Overlay
                  org.boehn.kmlframework.kml.PhotoOverlay

    public class PhotoOverlay

extends Overlay

Constructor Summary
`PhotoOverlay()`
`PhotoOverlay(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData, java.lang.String color, java.lang.Integer drawOrder, Icon icon, java.lang.Double rotation, java.lang.Double leftFov, java.lang.Double rightFov, java.lang.Double bottomFov, java.lang.Double topFov, java.lang.Double near, java.lang.Integer tileSize, java.lang.Integer maxWidth, java.lang.Integer maxHeight, GridOriginEnum gridOrigin, Point point, ShapeEnum shape)`

Method Summary
`java.lang.Double` | `getBottomFov()`
`GridOriginEnum` | `getGridOrigin()`
`java.lang.Double` | `getLeftFov()`
`java.lang.Integer` | `getMaxHeight()`
`java.lang.Integer` | `getMaxWidth()`
`java.lang.Double` | `getNear()`
`Point` | `getPoint()`
`java.lang.Double` | `getRightFov()`
`java.lang.Double` | `getRotation()`
`ShapeEnum` | `getShape()`
`java.lang.Integer` | `getTileSize()`
`java.lang.Double` | `getTopFov()`
`void` | `setBottomFov(java.lang.Double bottomFov)`
`void` | `setGridOrigin(GridOriginEnum gridOrigin)`
`void` | `setLeftFov(java.lang.Double leftFov)`
`void` | `setMaxHeight(java.lang.Integer maxHeight)`
`void` | `setMaxWidth(java.lang.Integer maxWidth)`
`void` | `setNear(java.lang.Double near)`
`void` | `setPoint(Point point)`
`void` | `setRightFov(java.lang.Double rightFov)`
`void` | `setRotation(java.lang.Double rotation)`
`void` | `setShape(ShapeEnum shape)`
`void` | `setTileSize(java.lang.Integer tileSize)`
`void` | `setTopFov(java.lang.Double topFov)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Overlay
`getColor, getDrawOrder, getIcon, setColor, setDrawOrder, setIcon, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.Feature
`addStyleSelector, getAbstractView, getAddress, getAtomAuthor, getAtomLink, getDescription, getExtendedData, getName, getPhoneNumber, getRegion, getSnippet, getSnippetMaxLines, getStyleSelectors, getStyleUrl, getTimePrimitive, getXalAddressDeatails, isOpen, isVisible, setAbstractView, setAddress, setAtomAuthor, setAtomLink, setDescription, setExtendedData, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setSnippetMaxLines, setStyleSelectors, setStyleUrl, setTimePrimitive, setVisibility, setXalAddressDeatails`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhotoOverlay

    public PhotoOverlay()

### PhotoOverlay

    public PhotoOverlay(java.lang.String name,
                        java.lang.Boolean visibility,
                        java.lang.Boolean open,
                        AtomAuthor atomAuthor,
                        AtomLink atomLink,
                        java.lang.String address,
                        java.lang.String xalAddressDetails,
                        java.lang.String phoneNumber,
                        java.lang.String snippet,
                        java.lang.Integer snippetMaxLines,
                        java.lang.String description,
                        AbstractView abstractView,
                        TimePrimitive timePrimitive,
                        java.lang.String styleUrl,
                        java.util.List<StyleSelector> styleSelectors,
                        Region region,
                        ExtendedData extendedData,
                        java.lang.String color,
                        java.lang.Integer drawOrder,
                        Icon icon,
                        java.lang.Double rotation,
                        java.lang.Double leftFov,
                        java.lang.Double rightFov,
                        java.lang.Double bottomFov,
                        java.lang.Double topFov,
                        java.lang.Double near,
                        java.lang.Integer tileSize,
                        java.lang.Integer maxWidth,
                        java.lang.Integer maxHeight,
                        GridOriginEnum gridOrigin,
                        Point point,
                        ShapeEnum shape)

Method Detail

### getRotation

    public java.lang.Double getRotation()

### setRotation

    public void setRotation(java.lang.Double rotation)

### getLeftFov

    public java.lang.Double getLeftFov()

### setLeftFov

    public void setLeftFov(java.lang.Double leftFov)

### getRightFov

    public java.lang.Double getRightFov()

### setRightFov

    public void setRightFov(java.lang.Double rightFov)

### getBottomFov

    public java.lang.Double getBottomFov()

### setBottomFov

    public void setBottomFov(java.lang.Double bottomFov)

### getTopFov

    public java.lang.Double getTopFov()

### setTopFov

    public void setTopFov(java.lang.Double topFov)

### getNear

    public java.lang.Double getNear()

### setNear

    public void setNear(java.lang.Double near)

### getTileSize

    public java.lang.Integer getTileSize()

### setTileSize

    public void setTileSize(java.lang.Integer tileSize)

### getMaxWidth

    public java.lang.Integer getMaxWidth()

### setMaxWidth

    public void setMaxWidth(java.lang.Integer maxWidth)

### getMaxHeight

    public java.lang.Integer getMaxHeight()

### setMaxHeight

    public void setMaxHeight(java.lang.Integer maxHeight)

### getGridOrigin

    public GridOriginEnum getGridOrigin()

### setGridOrigin

    public void setGridOrigin(GridOriginEnum gridOrigin)

### getPoint

    public Point getPoint()

### setPoint

    public void setPoint(Point point)

### getShape

    public ShapeEnum getShape()

### setShape

    public void setShape(ShapeEnum shape)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD